<?php

	include("../../config.php");
	include("../../css/design.php");
	include("../../scripts/functions.php");
	
	$languageRaw = file_get_contents($baseURL."lang/gb.php");
	$language['gb'] = json_decode($languageRaw,true);
	$languageRaw = file_get_contents($baseURL."lang/".$lang.".php");
	$language[$lang] = json_decode($languageRaw,true);
	
	$date = $_GET['date'];
	$y = substr($date,0,4);
	$m = substr($date,4,2);
	$d = substr($date,6,2);
	
	$currentDate = strtotime($y."-".$m."-".$d." 12:00");
	
	$rise = date_sunrise($currentDate,SUNFUNCS_RET_TIMESTAMP,$stationLat,$stationLon,90.5);
	$set = date_sunset($currentDate,SUNFUNCS_RET_TIMESTAMP,$stationLat,$stationLon,90.5);
	
	$images = array();
	
	$riseImg = "";
	$setImg = "";
	
	$result = mysqli_query($con,"
		SELECT *, HOUR(DateTime)
		FROM webcam 
		WHERE Year(DateTime)=$y AND Month(DateTime)=$m AND DAY(DateTime)=$d
		ORDER BY DateTime
		"
	);
	while($row = mysqli_fetch_array($result)){
		$image['T'] = round(convertT($row['T']),1);
		$image['H'] = $row['H'];
		$image['P'] = round(convertP($row['P']),2);
		$image['W'] = round(convertW($row['W']),2);
		$image['G'] = round(convertW($row['G']),2);
		$image['R'] = round(convertR($row['R']),2);
		$image['S'] = $row['S'];
		$image['RR'] = round(convertR($row['RR']),2);
		$image['Date'] = strtotime($row['DateTime']);
		$image['URL'] = $row['img'];
		$images[$row['HOUR(DateTime)']][] = $image;
		
		if($riseImg==""){
			if($image['Date']>$rise && (abs($image['Date']-$rise)<(60*60))){
				$riseImg = $image['URL'];
				$riseImgTime = date("H:i",$image['Date']);
			}
		}
		if($setImg==""){
			if($image['Date']>$set && (abs($image['Date']-$set)<(60*60))){
				$setImg = $image['URL'];
				$setImgTime = date("H:i",$image['Date']);
			}
		}
	}
	
	$result = mysqli_query($con,"
		SELECT max(T), min(T), max(H), min(H), max(P), min(P), max(R)
		FROM webcam 
		WHERE Year(DateTime)=$y AND Month(DateTime)=$m AND DAY(DateTime)=$d
		"
	);
	while($row = mysqli_fetch_array($result)){
		$maxT = round(convertT($row['max(T)']),1);
		$minT = round(convertT($row['min(T)']),1);
		$maxH = $row['max(H)'];
		$minH = $row['min(H)'];
		$maxP = round(convertP($row['max(P)']),2);
		$minP = round(convertP($row['min(P)']),2);
		$maxR = round(convertR($row['max(R)']),2);
	}
	
	$result = mysqli_query($con,"
		SELECT max(T), min(T), max(H), min(H), max(P), min(P)
		FROM alldata 
		WHERE Year(DateTime)=$y AND Month(DateTime)=$m AND DAY(DateTime)=$d
		"
	);
	while($row = mysqli_fetch_array($result)){
		$maxTStation = round(convertT($row['max(T)']),1);
		$minTStation = round(convertT($row['min(T)']),1);
		$maxHStation = $row['max(H)'];
		$minHStation = $row['min(H)'];
		$maxPStation = round(convertP($row['max(P)']),2);
		$minPStation = round(convertP($row['min(P)']),2);
	}
	
	
?>
	<style>
		.webcamThumb{
			border: 3px solid #<?php echo $color_schemes[$design2]['100']?>;
			border-radius: 10px;
			margin: 3px;
		}
		.view{
			padding: 10px;
			display: inline-block;
			border: 1px solid #<?php echo $color_schemes[$design2]['300']?>;
			border-radius: 10px;
			background: #<?php echo $color_schemes[$design2]['400']?>;
		}
	</style>
	
	<div style="width:98%;margin:0 auto;background:#<?php echo $color_schemes[$design2]['900']?>;border-radius:20px;padding-top:25px;padding-bottom:30px;border: 1px solid #<?php echo $color_schemes[$design2]['300']?>;">
		<h1>
			<?php echo date($dateFormat,strtotime($y."-".$m."-".$d))?>
		</h1>
		<br>
		<br>
		<div style="width:100%;background:#<?php echo $color_schemes[$design2]['400']?>;padding-top:15px;padding-bottom:15px;border-spacing:0px">
			<table style="width:90%;margin:0 auto;font-variant:small-caps">
				<tr>
					<td>
					</td>
					<td colspan='2' style="width:20%;background:#<?php echo $color_schemes[$design2]['500']?>">
						<img src="<?php echo $pageURL.$path?>icons/temp.png" style="width:100%;max-width:25px">
					</td>
					<td colspan='2' style="width:20%;background:#<?php echo $color_schemes[$design2]['500']?>">
						<img src="<?php echo $pageURL.$path?>icons/humidity.png" style="width:100%;max-width:25px">
					</td>
					<td colspan='2' style="width:20%;background:#<?php echo $color_schemes[$design2]['500']?>">
						<img src="<?php echo $pageURL.$path?>icons/pressure.png" style="width:100%;max-width:25px">
					</td>
					<td style="width:20%;background:#<?php echo $color_schemes[$design2]['500']?>">
						<img src="<?php echo $pageURL.$path?>icons/rain.png" style="width:100%;max-width:25px">
					</td>
				</tr>
				<tr>
					<td>
					</td>
					<td>
						<?php echo lang('maximumAbbr','l')?>
					</td>
					<td>
						<?php echo lang('minimumAbbr','l')?>
					</td>
					<td>
						<?php echo lang('maximumAbbr','l')?>
					</td>
					<td>
						<?php echo lang('minimumAbbr','l')?>
					</td>
					<td>
						<?php echo lang('maximumAbbr','l')?>
					</td>
					<td>
						<?php echo lang('minimumAbbr','l')?>
					</td>
					<td>
						<?php echo lang('day','l')?>
					</td>
				</tr>
				<tr>
					<td>
						<img src="<?php echo $pageURL.$path?>icons/station.png" style="height:50px">
					</td>
					<td>
						<?php echo $maxTStation." °".$displayTempUnits?> 
					</td>
					<td>
						<?php echo $minTStation." °".$displayTempUnits?> 
					</td>
					<td>
						<?php echo $maxHStation." %"?> 
					</td>
					<td>
						<?php echo $minHStation." %"?> 
					</td>
					<td>
						<?php echo $maxPStation." ".$displayPressUnits?> 
					</td>
					<td>
						<?php echo $minPStation." ".$displayPressUnits?> 
					</td>
					<td>
						<?php echo $maxR." ".$displayRainUnits?> 
					</td>
				</tr>					
			</table>
			<table style="width:98%;max-width:500px;margin:0 auto;font-variant:small-caps">
				<tr>
					<td style="text-align:center;width:50%">
						<img src="<?php echo $pageURL.$path?>icons/sunrise.png" style="height:50px">
					</td>
					<td style="text-align:center">
						<img src="<?php echo $pageURL.$path?>icons/sunset.png" style="height:50px">
					</td>
				</tr>	
				<tr>
					<td>
						<?php echo date($timeFormat,$rise)?>
					</td>
					<td>
						<?php echo date($timeFormat,$set)?>
					</td>
				</tr>
				<tr>
					<td>
						<?php
							if($riseImg!=""){
								echo "<img src='images/thumbnails/".$riseImg.".jpg' style='width:100%;max-width:150px;border-radius:5px'><br>".$riseImgTime;
							}
						?>
					</td>
					<td>
						<?php
							if($setImg!=""){
								echo "<img src='images/thumbnails/".$setImg.".jpg' style='width:100%;max-width:150px;border-radius:5px'><br>".$setImgTime;
							}
						?>
					</td>
				</tr>
			</table>
		</div>
		<br><br>
		<div style="width:98%;margin:0 auto;text-align:center">
			<input type="button" class="button2" value="<?php echo lang('temperature','c')?>" id="colorTButton">
			<input type="button" class="button2" value="<?php echo lang('humidity','c')?>" id="colorHButton">
			<input type="button" class="button2" value="<?php echo lang('pressure','c')?>" id="colorPButton">
		</div>
		<table style="width:98%;margin:0 auto;border-spacing:0px">
			<tr>
				<td style="width:5%">
					<img src="<?php echo $pageURL.$path?>icons/time.png" style="width:100%;max-width:30px">
				</td>
				<td>
				</td>
			</tr>
			<?php
				for($i=0;$i<24;$i++){
					if(array_key_exists($i,$images)){
			?>
					<tr>
						<td style="border-bottom: 1px solid #<?php echo $color_schemes[$design2]['300']?>;font-weight:bold;background:#<?php echo $color_schemes[$design2]['300']?>">
							<?php echo $i?>
						</td>
						<td style="border-bottom: 1px solid #<?php echo $color_schemes[$design2]['300']?>">
							<?php
								
									for($a=0;$a<count($images[$i]);$a++){
										if($images[$i][$a]['R']==0){
											$rainClass="noRain";
										}
										else{
											$rainClass="rain";
										}
										$tempColor = fill($images[$i][$a]['T'],array($minT-0.01,$maxT+0.01),array("#4C79FF", "#D90000"));
										$humidityColor = fill($images[$i][$a]['H'],array($minH-0.01,$maxH+0.01),array("#00D936", "#00661A"));
										$pressureColor = fill($images[$i][$a]['P'],array($minP-0.01,$maxP+0.01),array("#FF8000", "#8600B3"));
							?>
										<div class="view <?php echo $rainClass?>" data-tempColor="<?php echo $tempColor?>" data-humidityColor="<?php echo $humidityColor?>" data-pressureColor="<?php echo $pressureColor?>" data-uvColor="<?php echo $uvColor?>">
											<span style="font-weight:bold;font-size:1.1em">
												<?php echo date("H:i",$images[$i][$a]['Date'])?>
											</span>
											<br>
											<img src="images/thumbnails/<?php echo $images[$i][$a]['URL']?>.jpg" alt="" style="height:100%;max-height:200px;border-radius:5px;margin:0 auto" data-darkbox="images/<?php echo $images[$i][$a]['URL']?>.jpg" data-darkbox-description="<?php echo date("H:i",$images[$i][$a]['Date'])?>" id="image<?php echo $i.$a?>">
											<img src="" class="bloomSkyThumb">
											<br>
											<table style="width:98%;margin:0 auto">
												<tr>
													<td style="width:50%;text-align:center">
														<?php echo $images[$i][$a]['T']." °".$displayTempUnits?>
													</td>
													<td style="width:50%;text-align:center">
														<?php echo $images[$i][$a]['H']." %"?>
													</td>
												</tr>
												<tr>
													<td style="text-align:center">
														<?php echo $images[$i][$a]['P']." ".$displayPressUnits?>
													</td>
													<td>
														<?php echo $images[$i][$a]['R']." ".$displayRainUnits?>
													</td>
												</tr>
											</table>
										</div>
							<?php
									}
							?>
						</td>
					</tr>
			<?php
					}
				}
			?>
		</table>
	</div>
	<br><br>
	<script>
		$("#colorTButton").click(function(){
			var elems = $('.view');
			for (i=0;i<elems.length;i++){
				color = $(elems[i]).attr('data-tempColor');
				$(elems[i]).css('background',color);
			}
		})
		$("#colorUVButton").click(function(){
			var elems = $('.view');
			for (i=0;i<elems.length;i++){
				color = $(elems[i]).attr('data-uvColor');
				$(elems[i]).css('background',color);
			}
		})
		$("#colorHButton").click(function(){
			var elems = $('.view');
			for (i=0;i<elems.length;i++){
				color = $(elems[i]).attr('data-humidityColor');
				$(elems[i]).css('background',color);
			}
		})
		$("#colorPButton").click(function(){
			var elems = $('.view');
			for (i=0;i<elems.length;i++){
				color = $(elems[i]).attr('data-pressureColor');
				$(elems[i]).css('background',color);
			}
		})
	</script>
	