<?php

	############################################################################
	# 	
	#	Meteotemplate
	# 	http://www.meteotemplate.com
	# 	Free website template for weather enthusiasts
	# 	Author: Jachym
	#           Brno, Czech Republic
	# 	First release: 2015
	#
	############################################################################
	#
	#	Webcam
	#
	# 	A plugin to save and analyze data from a webcam
	#
	############################################################################
	#	Version and change log
	#
	# 	v1.0 	2016-07-12	Initial release
	
	#	added caching
	#
	############################################################################
	
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	
	include("settings.php");
	
	$availableDaysWebcam = "";
	$firstDbDayWebcam = "";
	$lastDbDayWebcam = "";
	$availableYearsWebcam = array();
	
	$result = mysqli_query($con,"
		SELECT Year(DateTime), Month(DateTime), Day(DateTime)
		FROM webcam
		Group BY Year(DateTime), Month(DateTime), Day(DateTime)
		"
	);
	while($row = mysqli_fetch_array($result)){
		if($firstDbDayWebcam==""){
			$firstDbDayWebcam = "new Date(".$row['Year(DateTime)'].", ".$row['Month(DateTime)']." - 1, ".$row['Day(DateTime)'].")";
		}
		$currentDateWebcam = $row['Year(DateTime)']."-".$row['Month(DateTime)']."-".$row['Day(DateTime)'];
		$availableDaysWebcam .= "\"".$currentDateWebcam."\",";
		$lastDbDayWebcam = "new Date(".$row['Year(DateTime)'].", ".$row['Month(DateTime)']." - 1, ".$row['Day(DateTime)'].")";
	}

	$result = mysqli_query($con,"
		SELECT DISTINCT Year(DateTime)
		FROM webcam
		"
	);
	while($row = mysqli_fetch_array($result)){
		array_push($availableYearsWebcam,$row['Year(DateTime)']);
	}
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		<link rel="stylesheet" media="screen" type="text/css" href="scripts/darkbox.css" />
		<script type="text/javascript" src="scripts/darkbox.js"></script>
		
		<style>
			.spinner {
				position: relative;
				color: #<?php echo $color_schemes[$design2]['300']?>;
				display: inline-block;
				width:  1em; 
				height: 1em; 
				font-size: 30px; 
				border-bottom: 3px solid; 
				vertical-align: middle;
				overflow: hidden;  
				text-indent: 100%;
				-webkit-animation: 0.9s spinner linear infinite;
				   -moz-animation: 0.9s spinner linear infinite;
						animation: 0.9s spinner linear infinite;
				&,
				&:after {
					border-radius: 100%;
				}       
				&:after {
					content: "";
					position: absolute;
					top:    0;
					right:  0;
					bottom: 0;
					left:   0;
					border: 1px solid; 
					opacity: 0.5;
				}
			}
			@-webkit-keyframes spinner {
				to {
					-webkit-transform: rotate(360deg);
				}
			}
			@-moz-keyframes spinner {
				to {
					-moz-transform: rotate(360deg);
				}
			}
			@keyframes spinner {

				to {
					transform: rotate(360deg);
				}
			}
			.spinner, .spinner:after {
			  border-radius: 100%;
			}
			#currentImg{
				border-radius: 10px;
				border: 2px solid #<?php echo $color_schemes[$design2]['300']?>;
				width: 98%;
				margin: 0 auto;
			}
		</style>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php")?>
		</div>
		<div id="main" style="text-align:center">
			<img src="webcam.png" style="width:70px">
			<h1><?php echo lang('webcam','c')?></h1>
			<br>
			<table style="width:98%;margin:0 auto">
				<tr>
					<td style="width:50%">
						<div id="current"></div>
					</td>
					<td>
						<table style="width:98%;text-align:center">
							<tr>
								<td style="text-align:center">
									<div id="webcamDatepicker" style="margin:0 auto"></div>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>		
			<br>
			<div id="result" style="width:98%;margin:0 auto">		</div>		
		</div>
		<?php include($baseURL."footer.php")?>
	</body>
	<script>
		$(function() {
			var availableDays = [<?php echo $availableDaysWebcam ?>];
			$( "#webcamDatepicker" ).datepicker({
				dateFormat: "yymmdd",
				changeMonth: true,
				changeYear: true,
				dayNamesMin: ['<?php echo lang('sundayAbbr','c')?>', '<?php echo lang('mondayAbbr','c')?>', '<?php echo lang('tuesdayAbbr','c')?>', '<?php echo lang('wednesdayAbbr','c')?>', '<?php echo lang('thursdayAbbr','c')?>', '<?php echo lang('fridayAbbr','c')?>', '<?php echo lang('saturdayAbbr','c')?>'],
				monthNamesShort: ['<?php echo lang('month1short','c')?>', '<?php echo lang('month2short','c')?>', '<?php echo lang('month3short','c')?>', '<?php echo lang('month4short','c')?>', '<?php echo lang('month5short','c')?>', '<?php echo lang('month6short','c')?>', '<?php echo lang('month7short','c')?>', '<?php echo lang('month8short','c')?>', '<?php echo lang('month9short','c')?>', '<?php echo lang('month10short','c')?>', '<?php echo lang('month11short','c')?>', '<?php echo lang('month12short','c')?>'],
				monthNames: ['<?php echo lang('month1short','c')?>', '<?php echo lang('month2short','c')?>', '<?php echo lang('month3short','c')?>', '<?php echo lang('month4short','c')?>', '<?php echo lang('month5short','c')?>', '<?php echo lang('month6short','c')?>', '<?php echo lang('month7short','c')?>', '<?php echo lang('month8short','c')?>', '<?php echo lang('month9short','c')?>', '<?php echo lang('month10short','c')?>', '<?php echo lang('month11short','c')?>', '<?php echo lang('month12short','c')?>'],
				firstDay: <?php echo $firstWeekday?>,
				minDate: <?php echo $firstDbDayWebcam?>,
				maxDate: <?php echo $lastDbDayWebcam?>,
				beforeShowDay: function(date) {
					if($.inArray($.datepicker.formatDate('yy-m-d', date ), availableDays) > -1){
						return [true,"",""];
					}
					else{
						return [false,'',""];
					}
				},
				yearRange: "<?php echo min($availableYearsWebcam)?>:<?php echo max($availableYearsWebcam)?>",
				onSelect: function(date) {
					$("#result").load("dayOverview.php?date="+date);
				},
			});
		});
	</script>
	<script>
		darkBox();
		window.onload = function (e){
			var d = new Date();
			var timeNow = d.getTime();
			imgSrc = "<?php echo $webcamImgURL?>?"+timeNow;
			$("#currentTS").html("<span class='spinner' id='updateSpinner'>Loading…</span>");
			$("#current").html("<img src='"+imgSrc+"' id='currentImg'>");
				
			setTimeout(window.onload, <?php echo $updateInterval?>*1000);
		}
	</script>
</html>
	