<?php

	// check acces authorization
	session_start();
	if($_SESSION['user']!="admin"){
		echo "Unauthorized access.";
		die();
	}
	
	// load core files
	include("../../config.php");
	include($baseURL."css/design.php");
	include($baseURL."header.php");
	
	// check if settings already exists and if so, load it, otherwise set parameters to default values
	if(file_exists("settings.php")){
		include("settings.php");
	}

	if(!isset($thumbDimension)){
		$thumbDimension = 200;
	}
	if(!isset($updateInterval)){
		$updateInterval = 30;
	}
	if(!isset($webcamImgURL)){
		$webcamImgURL = "";
	}
	
	
?>
<!DOCTYPE html>
<html>
	<head>
		<title><?php echo $pageName?></title>
		<?php metaHeader()?>
		<style>
			
		</style>
	</head>
	<body>
		<div id="main_top">
			<?php bodyHeader()?>
			<?php include($baseURL."menu.php")?>
		</div>
		<div id="main" style="text-align:center">
			<h1>Webcam - Setup</h1>
			<form method="POST" action="saveSettings.php" target="_blank">
				<table style="width:98%;margin:0 auto">
					<tr>
						<td style="text-align:left;width:300px">
							Thumbnail dimensions
						</td>
						<td style="text-align:left">
							<input name="thumbDimension" class="button2" value="<?php echo $thumbDimension?>" size="4"> px
						</td>
					</tr>
					<tr>
						<td style="text-align:left;width:300px">
							Image URL
						</td>
						<td style="text-align:left">
							<input name="webcamImgURL" class="button2" value="<?php echo $webcamImgURL?>" size="60">
						</td>
					</tr>
					<tr>
						<td style="text-align:left;width:300px">
							Update Interval
						</td>
						<td style="text-align:left">
							<input name="updateInterval" class="button2" value="<?php echo $updateInterval?>" size="4"> update interval of the current image (in seconds)
						</td>
					</tr>
				</table>
				<div style="width:50%;text-align:center;margin:0 auto">
					<input type="submit" value="Save" class="button2">
				</div>
				<br><br>
			</form>
		</div>
		<?php include($baseURL."footer.php")?>
	</body>
</html>